org.cpsolver.coursett.criteria.placement

## Class AssignmentCount

- java.lang.Object
- - org.cpsolver.ifs.criteria.AbstractCriterion<Lecture,Placement>
  - - org.cpsolver.coursett.criteria.TimetablingCriterion
    - - org.cpsolver.coursett.criteria.placement.PlacementSelectionCriterion
      - - org.cpsolver.coursett.criteria.placement.AssignmentCount

- All Implemented Interfaces:
    CanHoldContext, HasAssignmentContext<Lecture,Placement,AbstractCriterion.ValueContext>, Criterion<Lecture,Placement>, ExtendedInfoProvider<Lecture,Placement>, InfoProvider<Lecture,Placement>, ModelListener<Lecture,Placement>

  Deprecated.

      @Deprecated
      public class AssignmentCount
      extends PlacementSelectionCriterion

  Count number of past assignments of a value. Avoid repetition by penalizing values that have been assigned too many times already.
  Version:
    CourseTT 1.3 (University Course Timetabling)
    Copyright (C) 2006 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `AssignmentCount.AssignmentCountContext` Deprecated.

    - ### Nested classes/interfaces inherited from class org.cpsolver.ifs.criteria.AbstractCriterion

      `AbstractCriterion.ValueContext, AbstractCriterion.ValueUpdateType`

  - ### Field Summary

    - ### Fields inherited from class org.cpsolver.ifs.criteria.AbstractCriterion

      `iBest, iDebug, iWeight, sDoubleFormat, sPercentFormat`

    - ### Fields inherited from interface org.cpsolver.ifs.assignment.context.CanHoldContext

      `sMaxSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssignmentCount()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractCriterion.ValueContext` | `createAssignmentContext(Assignment<Lecture,Placement> assignment)` Deprecated. Create a new assignment context for the given assignment.
    `String` | `getPlacementSelectionWeightName()` Deprecated.
    `double` | `getValue(Assignment<Lecture,Placement> assignment, Placement value, Set<Placement> conflicts)` Deprecated. Value of a proposed assignment (including hard conflicts)

    - ### Methods inherited from class org.cpsolver.coursett.criteria.placement.PlacementSelectionCriterion

      `getInfo, getInfo, getWeightDefault`

    - ### Methods inherited from class org.cpsolver.coursett.criteria.TimetablingCriterion

      `configure, getPlacementSelectionAdjustmentsName, getPlacementSelectionWeight, getPlacementSelectionWeightDefault`

    - ### Methods inherited from class org.cpsolver.ifs.criteria.AbstractCriterion

      `afterAssigned, afterUnassigned, beforeAssigned, beforeUnassigned, bestRestored, bestSaved, clearCache, computeBounds, constraintAdded, constraintRemoved, getAbbreviation, getAssignmentContextReference, getBest, getBounds, getBounds, getBounds, getBounds, getContext, getContext, getExtendedInfo, getModel, getName, getPerc, getPercentage, getPercRev, getValue, getValue, getValue, getValue, getValueUpdateType, getWeight, getWeightedBest, getWeightedValue, getWeightedValue, getWeightedValue, getWeightedValue, getWeightedValue, getWeightedValue, getWeightName, inc, inc, init, setAssignmentContextReference, setModel, setValueUpdateType, toString, variableAdded, variableRemoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssignmentCount

          public AssignmentCount()

      Deprecated.

  - ### Method Detail

    - #### getPlacementSelectionWeightName

          public String getPlacementSelectionWeightName()

      Deprecated.
      Overrides:
        `getPlacementSelectionWeightName` in class `TimetablingCriterion`

    - #### getValue

          public double getValue(Assignment<Lecture,Placement> assignment,
                                 Placement value,
                                 Set<Placement> conflicts)

      Deprecated.
      Description copied from interface: `Criterion`
      Value of a proposed assignment (including hard conflicts)
      Parameters:
        `assignment` - current assignment
        `value` - given value
        `conflicts` - values conflicting with the given value
      Returns:
        change in this criterion value when assigned

    - #### createAssignmentContext

          public AbstractCriterion.ValueContext createAssignmentContext(Assignment<Lecture,Placement> assignment)

      Deprecated.
      Description copied from interface: `HasAssignmentContext`
      Create a new assignment context for the given assignment. If there are already some variables assigned in the value, the method should make sure that the context is appropriately initialized.
      Specified by:
        `createAssignmentContext` in interface `HasAssignmentContext<Lecture,Placement,AbstractCriterion.ValueContext>`
      Overrides:
        `createAssignmentContext` in class `AbstractCriterion<Lecture,Placement>`
      Parameters:
        `assignment` - an assignment for which there needs to be an assignment context
      Returns:
        a new instance of the assignment context, filled according to the given assignment